Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26632/?format=api
{ "ob_id": 26632, "uuid": "ef5c6596cae548c6aea9dea181c7624c", "title": "ESA Greenland Ice Sheet Climate Change Initiative (Greenland_Ice_Sheet_cci): Ice Velocity time series for the Upernavik Glacier for 2014-2017 from Sentinel-1 data, v1.1", "abstract": "This dataset contains a time series of ice velocities for the Upernavik Glacier in Greenland, derived from Sentinel-1 SAR (Synthetic Aperture Radar) data acquired between October 2014 and March 2017. This dataset has been produced by the ESA Greenland Ice Sheet Climate Change Initiative (CCI) project.\r\n\r\nData files are delivered in NetCDF format at 250m grid spacing in North Polar Stereographic projection (EPSG: 3413). The horizontal velocity components are provided in true meters per day, towards the EASTING(x) and NORTHING(y) directions of the grid.", "keywords": "Greenland, Ice sheet, CCI, ESA", "publicationState": "published", "dataPublishedTime": "2019-02-04T17:27:12", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26837/?format=api", "dataPath": "/neodc/esacci/ice_sheets_greenland/data/greenland_ice_velocity/greenland_iv_250m_s1_upernavik/v1.1/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 175054830, "numberOfFiles": 6, "fileFormat": "Data files are delivered in NetCDF format at 250m grid spacing in North Polar Stereographic projection (EPSG: 3413). The horizontal velocity components are provided in true meters per day, towards EASTING(x) and NORTHING(y) direction of the grid." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7169/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1650/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/12066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13230/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13232/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50547/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50548/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/63972/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/70623/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/79994/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Greenland Ice Sheet project team and supplied to CEDA in the context of the ESA CCI Open Data Portal Project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14317/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14316/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111923/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111924/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111918/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111919/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111920/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111921/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111922/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111925/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112736/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/26833/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2553/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_icesheets_greenland_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }